Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.props.def

# Class ConnectionProperty.Builder

java.lang.Object
org.firebirdsql.jaybird.props.def.ConnectionProperty.Builder

Enclosing class:
  ConnectionProperty

public static final class ConnectionProperty.Builder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConnectionProperty.Builder`
  `aliases(String alias)`
  Alias or secondary name of the property; optional.
  `ConnectionProperty.Builder`
  `aliases(String... aliases)`
  Aliases or secondary names of the property; optional.
  `ConnectionProperty.Builder`
  `aliases(Collection<String> aliases)`
  Aliases or secondary names of the property; optional.
  `ConnectionProperty`
  `build()`
  `ConnectionProperty.Builder`
  `choices(String... choices)`
  Possible values of the property (case-insensitive); optional.
  `ConnectionProperty.Builder`
  `choices(Collection<String> choices)`
  Possible values of the property (case-insensitive); optional.
  `ConnectionProperty.Builder`
  `dpbItem(int dpbItem)`
  DPB item associated with the property; optional; defaults to `ConnectionProperty.NO_DPB_ITEM`.
  `ConnectionProperty.Builder`
  `name(String name)`
  Primary name of the property; required.
  `ConnectionProperty.Builder`
  `pbType(DpbType pbType)`
  Type of database (or service attach) parameter buffer; defaults to `ConnectionProperty.NO_DPB_ITEM`
  `ConnectionProperty.Builder`
  `spbItem(int spbItem)`
  SPB item associated with the property; optional; defaults to `ConnectionProperty.NO_SPB_ITEM`.
  `ConnectionProperty.Builder`
  `type(ConnectionPropertyType type)`
  Type of the property; required; defaults to `ConnectionPropertyType.STRING`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### build

    public ConnectionProperty build()

  - ### name

    public ConnectionProperty.Builder name(String name)
    Primary name of the property; required.

  - ### aliases

    public ConnectionProperty.Builder aliases(Collection<String> aliases)
    Aliases or secondary names of the property; optional.

  - ### aliases

    public ConnectionProperty.Builder aliases(String... aliases)
    Aliases or secondary names of the property; optional.

  - ### aliases

    public ConnectionProperty.Builder aliases(String alias)
    Alias or secondary name of the property; optional.

  - ### type

    public ConnectionProperty.Builder type(ConnectionPropertyType type)
    Type of the property; required; defaults to `ConnectionPropertyType.STRING`.

  - ### choices

    public ConnectionProperty.Builder choices(Collection<String> choices)
    Possible values of the property (case-insensitive); optional.

  - ### choices

    public ConnectionProperty.Builder choices(String... choices)
    Possible values of the property (case-insensitive); optional.

  - ### pbType

    public ConnectionProperty.Builder pbType(DpbType pbType)
    Type of database (or service attach) parameter buffer; defaults to `ConnectionProperty.NO_DPB_ITEM`

  - ### dpbItem

    public ConnectionProperty.Builder dpbItem(int dpbItem)
    DPB item associated with the property; optional; defaults to `ConnectionProperty.NO_DPB_ITEM`.

  - ### spbItem

    public ConnectionProperty.Builder spbItem(int spbItem)
    SPB item associated with the property; optional; defaults to `ConnectionProperty.NO_SPB_ITEM`.